Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XMLNotationDecl Class Reference

This class represents the core information about a notation declaration that all validators must at least support. More...

Inheritance diagram for XMLNotationDecl:

## Public Member Functions

XMLSize_t | getId () const
const XMLCh * | getName () const
const XMLCh * | getPublicId () const
const XMLCh * | getSystemId () const
const XMLCh * | getBaseURI () const
unsigned int | getNameSpaceId () const
MemoryManager * | getMemoryManager () const
void | setId (const XMLSize_t newId)
void | setName (const XMLCh *const notName)
void | setPublicId (const XMLCh *const newId)
void | setSystemId (const XMLCh *const newId)
void | setBaseURI (const XMLCh *const newId)
void | setNameSpaceId (const unsigned int newId)
const XMLCh * | getKey () const
Constructors
| XMLNotationDecl (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| XMLNotationDecl (const XMLCh *const notName, const XMLCh *const pubId, const XMLCh *const sysId, const XMLCh *const baseURI=0, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XMLNotationDecl ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Detailed Description

This class represents the core information about a notation declaration that all validators must at least support.

Each validator will create a derivative of this class which adds any information it requires for its own extra needs.

At this common level, the information supported is the notation name and the public and sysetm ids indicated in the notation declaration.

## Constructor & Destructor Documentation

XMLNotationDecl::XMLNotationDecl | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

XMLNotationDecl::XMLNotationDecl | ( | const XMLCh *const | notName,
|  | const XMLCh *const | pubId,
|  | const XMLCh *const | sysId,
|  | const XMLCh *const | baseURI = `0`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

XMLNotationDecl::~XMLNotationDecl | ( |  | ) |

## Member Function Documentation

const XMLCh * XMLNotationDecl::getBaseURI | ( |  | ) | const

XMLSize_t XMLNotationDecl::getId | ( |  | ) | const

const XMLCh * XMLNotationDecl::getKey | ( |  | ) | const

MemoryManager * XMLNotationDecl::getMemoryManager | ( |  | ) | const

const XMLCh * XMLNotationDecl::getName | ( |  | ) | const

unsigned int XMLNotationDecl::getNameSpaceId | ( |  | ) | const

const XMLCh * XMLNotationDecl::getPublicId | ( |  | ) | const

const XMLCh * XMLNotationDecl::getSystemId | ( |  | ) | const

void XMLNotationDecl::setBaseURI | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

void XMLNotationDecl::setId | ( | const XMLSize_t | newId | ) |

void XMLNotationDecl::setName | ( | const XMLCh *const | notName | ) |

void XMLNotationDecl::setNameSpaceId | ( | const unsigned int | newId | ) |

void XMLNotationDecl::setPublicId | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

void XMLNotationDecl::setSystemId | ( | const XMLCh *const | newId | ) |

References MemoryManager::deallocate(), and XMLString::replicate().

The documentation for this class was generated from the following file:

- XMLNotationDecl.hpp